aboutsummaryrefslogtreecommitdiffstats
path: root/main/nss-pam-ldapd/nslcd.initd
diff options
context:
space:
mode:
authorJeff Bilyk <jbilyk@alpinelinux.org>2014-07-31 10:51:32 -0400
committerJeff Bilyk <jbilyk@alpinelinux.org>2014-07-31 10:51:32 -0400
commitb7b4cd204f9281a2ff589c681e7e0f1532483e9c (patch)
tree43be0225ac964253670acbbd0c6adfe05d0bd640 /main/nss-pam-ldapd/nslcd.initd
parent03005f4653bee3cb3b05b6b95c218336bce3690c (diff)
downloadaports-b7b4cd204f9281a2ff589c681e7e0f1532483e9c.tar.bz2
aports-b7b4cd204f9281a2ff589c681e7e0f1532483e9c.tar.xz
main/nss-pam-ldapd: moved from testing
Diffstat (limited to 'main/nss-pam-ldapd/nslcd.initd')
-rw-r--r--main/nss-pam-ldapd/nslcd.initd27
1 files changed, 27 insertions, 0 deletions
diff --git a/main/nss-pam-ldapd/nslcd.initd b/main/nss-pam-ldapd/nslcd.initd
new file mode 100644
index 0000000000..0fab4de9ef
--- /dev/null
+++ b/main/nss-pam-ldapd/nslcd.initd
@@ -0,0 +1,27 @@
+#!/sbin/runscript
+
+extra_commands="checkconfig"
+cfg="/etc/nslcd.conf"
+command=/usr/sbin/nslcd
+pidfile=/var/run/nslcd/nslcd.pid
+
+
+depend() {
+ need net
+ after firewall
+ use dns logger
+}
+
+checkconfig() {
+ if [ -f "$cfg" ] ; then
+ return 0
+ fi
+ eerror "Please create $cfg"
+ eerror "Example config: /usr/share/nss-ldapd/nslcd.conf"
+ return 1
+}
+
+start_pre() {
+ checkpath -q -d ${pidfile%/*} -o nslcd:nslcd
+ checkconfig || return $?
+}